## org.eclipse.m2m.atl.core.ui.vm.asm
Class ASMInjector

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.vm.asm.ASMInjector

All Implemented Interfaces:
  IInjector

    public class ASMInjector

extends java.lang.Object
implements IInjector

The RegularVM adaptation of the `IInjector`.

Constructor Summary
`ASMInjector()`

Method Summary
`void` `inject(IModel targetModel, java.io.InputStream source, java.util.Map<java.lang.String,java.lang.Object> options)` Injects data into an IModel using the given options.
`void` `inject(IModel targetModel, java.lang.String source)` Injects data into an IModel using default options.
`void` `inject(IModel targetModel, java.lang.String source, java.util.Map<java.lang.String,java.lang.Object> options)` Injects data into an IModel using the given options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMInjector

    public ASMInjector()

Method Detail

### inject

    public void inject(IModel targetModel,
                       java.lang.String source,
                       java.util.Map<java.lang.String,java.lang.Object> options)
                throws ATLCoreException

  Injects data into an IModel using the given options.

  Specified by:
    `inject` in interface `IInjector`
  Parameters:
    `targetModel` - the IModel where to inject
    `source` - the source indication to load the sourceModel: an URL, or a specific thing
    `options` - the injection parameters
  Throws:
    `ATLCoreException`
  See Also:
    `IInjector.inject(org.eclipse.m2m.atl.core.IModel, java.lang.String, java.util.Map)`

### inject

    public void inject(IModel targetModel,
                       java.lang.String source)
                throws ATLCoreException

  Injects data into an IModel using default options.

  Specified by:
    `inject` in interface `IInjector`
  Parameters:
    `targetModel` - the IModel where to inject
    `source` - the source indication to load the sourceModel
  Throws:
    `ATLCoreException`
  See Also:
    `IInjector.inject(org.eclipse.m2m.atl.core.IModel, java.lang.String)`

### inject

    public void inject(IModel targetModel,
                       java.io.InputStream source,
                       java.util.Map<java.lang.String,java.lang.Object> options)
                throws ATLCoreException

  Injects data into an IModel using the given options.

  Specified by:
    `inject` in interface `IInjector`
  Parameters:
    `targetModel` - the IModel where to inject
    `source` - the `InputStream` containing the model
    `options` - the injection parameters
  Throws:
    `ATLCoreException`
  See Also:
    `IInjector.inject(org.eclipse.m2m.atl.core.IModel, java.io.InputStream, java.util.Map)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.